CON
           
' *******************************************************************************************************
' *                                                                                                     *
' *     Pin Definition Library Abstraction Layer                          PinDefs_Library_XXX.spin      *
' *                                                                                                     *
' *******************************************************************************************************

CON

 ' Oscillator Configuration

  PACKED_STRING_CLKMODE  = pindefs#PACKED_STRING_CLKMODE                        ' CLKMODE
  PACKED_STRING_XINFREQ  = pindefs#PACKED_STRING_XINFREQ                        ' XINFREQ

  ' TV

  PACKED_STRING_TV_ADC0  = pindefs#PACKED_STRING_TV_ADC0                        ' TV_ADC0
  PACKED_STRING_TV_ADC1  = pindefs#PACKED_STRING_TV_ADC1                        ' TV_ADC1
  PACKED_STRING_TV_ADC2  = pindefs#PACKED_STRING_TV_ADC2                        ' TV_ADC2
  PACKED_STRING_TV_AUD   = pindefs#PACKED_STRING_TV_AUD                         ' TV_AUD

  ' VGA

  PACKED_STRING_VGA_R0   = pindefs#PACKED_STRING_VGA_R0                         ' VGA_R0
  PACKED_STRING_VGA_R1   = pindefs#PACKED_STRING_VGA_R1                         ' VGA_R1
  PACKED_STRING_VGA_G0   = pindefs#PACKED_STRING_VGA_G0                         ' VGA_G0
  PACKED_STRING_VGA_G1   = pindefs#PACKED_STRING_VGA_G1                         ' VGA_G1
  PACKED_STRING_VGA_B0   = pindefs#PACKED_STRING_VGA_B0                         ' VGA_B0
  PACKED_STRING_VGA_B1   = pindefs#PACKED_STRING_VGA_B1                         ' VGA_B1
  PACKED_STRING_VGA_H    = pindefs#PACKED_STRING_VGA_H                          ' VGA_H
  PACKED_STRING_VGA_V    = pindefs#PACKED_STRING_VGA_V                          ' VGA_V

  ' Keyboard

  PACKED_STRING_KBD_CLK  = pindefs#PACKED_STRING_KBD_CLK                        ' KBD_CLK
  PACKED_STRING_KBD_DAT  = pindefs#PACKED_STRING_KBD_DAT                        ' KBD_DAT
  PACKED_STRING_KBD_CKX  = pindefs#PACKED_STRING_KBD_CKX                        ' KBD_CKX
  PACKED_STRING_KBD_DTX  = pindefs#PACKED_STRING_KBD_DTX                        ' KBD_DTX

  ' Mouse

  PACKED_STRING_MOU_CLK  = pindefs#PACKED_STRING_MOU_CLK                        ' MOU_CLK
  PACKED_STRING_MOU_DAT  = pindefs#PACKED_STRING_MOU_DAT                        ' MOU_DAT
  PACKED_STRING_MOU_CKX  = pindefs#PACKED_STRING_MOU_CKX                        ' MOU_CKX
  PACKED_STRING_MOU_DTX  = pindefs#PACKED_STRING_MOU_DTX                        ' MOU_DTX

  ' Download Serial Interface

  PACKED_STRING_TX_PROP  = pindefs#PACKED_STRING_TX_PROP                        ' TX_PROP
  PACKED_STRING_RX_PROP  = pindefs#PACKED_STRING_RX_PROP                        ' RX_PROP

  ' User Specific Serial Interfaces

  PACKED_STRING_SER_TX0  = pindefs#PACKED_STRING_SER_TX0                        ' SER_TX0
  PACKED_STRING_SER_TX1  = pindefs#PACKED_STRING_SER_TX1                        ' SER_TX1
  PACKED_STRING_SER_TX2  = pindefs#PACKED_STRING_SER_TX2                        ' SER_TX2
  PACKED_STRING_SER_TX3  = pindefs#PACKED_STRING_SER_TX3                        ' SER_TX3
  PACKED_STRING_SER_RX0  = pindefs#PACKED_STRING_SER_RX0                        ' SER_RX0
  PACKED_STRING_SER_RX1  = pindefs#PACKED_STRING_SER_RX1                        ' SER_RX1
  PACKED_STRING_SER_RX2  = pindefs#PACKED_STRING_SER_RX2                        ' SER_RX2
  PACKED_STRING_SER_RX3  = pindefs#PACKED_STRING_SER_RX3                        ' SER_RX3
  PACKED_STRING_SER_CTS0 = pindefs#PACKED_STRING_SER_CTS0                       ' SER_CTS0
  PACKED_STRING_SER_CTS1 = pindefs#PACKED_STRING_SER_CTS1                       ' SER_CTS1
  PACKED_STRING_SER_CTS2 = pindefs#PACKED_STRING_SER_CTS2                       ' SER_CTS2
  PACKED_STRING_SER_CTS3 = pindefs#PACKED_STRING_SER_CTS3                       ' SER_CTS3
  PACKED_STRING_SER_RTS0 = pindefs#PACKED_STRING_SER_RTS0                       ' SER_RTS0
  PACKED_STRING_SER_RTS1 = pindefs#PACKED_STRING_SER_RTS1                       ' SER_RTS1
  PACKED_STRING_SER_RTS2 = pindefs#PACKED_STRING_SER_RTS2                       ' SER_RTS2
  PACKED_STRING_SER_RTS3 = pindefs#PACKED_STRING_SER_RTS3                       ' SER_RTS3
  PACKED_STRING_SER_ATN0 = pindefs#PACKED_STRING_SER_ATN0                       ' SER_ATN0
  PACKED_STRING_SER_ATN1 = pindefs#PACKED_STRING_SER_ATN1                       ' SER_ATN1
  PACKED_STRING_SER_ATN2 = pindefs#PACKED_STRING_SER_ATN2                       ' SER_ATN2
  PACKED_STRING_SER_ATN3 = pindefs#PACKED_STRING_SER_ATN3                       ' SER_ATN3

  ' Audio

  PACKED_STRING_AUD_MON  = pindefs#PACKED_STRING_AUD_MON                        ' AUD_MON
  PACKED_STRING_AUD_L    = pindefs#PACKED_STRING_AUD_L                          ' AUD_L
  PACKED_STRING_AUD_R    = pindefs#PACKED_STRING_AUD_R                          ' AUD_R

  ' Microphone

  PACKED_STRING_MIC_PLU  = pindefs#PACKED_STRING_MIC_PLU                        ' MIC_PLU
  PACKED_STRING_MIC_MIN  = pindefs#PACKED_STRING_MIC_MIN                        ' MIC_MIN

  ' USB

  PACKED_STRING_USB_PLU  = pindefs#PACKED_STRING_USB_PLU                        ' USB_PLU
  PACKED_STRING_USB_MIN  = pindefs#PACKED_STRING_USB_MIN                        ' USB_MIN
  PACKED_STRING_USB_ENA  = pindefs#PACKED_STRING_USB_ENA                        ' USB_ENA

  ' I2C

  PACKED_STRING_I2C_SCL  = pindefs#PACKED_STRING_I2C_SCL                        ' I2C_SCL
  PACKED_STRING_I2C_SDA  = pindefs#PACKED_STRING_I2C_SDA                        ' I2C_SDA
  PACKED_STRING_I2C_WP   = pindefs#PACKED_STRING_I2C_WP                         ' I2C_WP

  ' SPI

  PACKED_STRING_SPI_DIN  = pindefs#PACKED_STRING_SPI_DIN                        ' SPI_DIN
  PACKED_STRING_SPI_DOUT = pindefs#PACKED_STRING_SPI_DOUT                       ' SPI_DOUT
  PACKED_STRING_SPI_DIO  = pindefs#PACKED_STRING_SPI_DIO                        ' SPI_DIO
  PACKED_STRING_SPI_CLK  = pindefs#PACKED_STRING_SPI_CLK                        ' SPI_CLK
  PACKED_STRING_SPI_CS   = pindefs#PACKED_STRING_SPI_CS                         ' SPI_CS

  ' Shared I2C and SPI

  PACKED_STRING_SI2_DIO  = pindefs#PACKED_STRING_SI2_DIO                        ' SI2_DIO
  PACKED_STRING_SI2_CLK  = pindefs#PACKED_STRING_SI2_CLK                        ' SI2_CLK
  PACKED_STRING_SI2_CS   = pindefs#PACKED_STRING_SI2_CS                         ' SI2_CS
  PACKED_STRING_SI2_WP   = pindefs#PACKED_STRING_SI2_WP                         ' SI2_WP

  ' SD Card

  PACKED_STRING_SD_CLK   = pindefs#PACKED_STRING_SD_CLK                         ' SD_CLK
  PACKED_STRING_SD_DI    = pindefs#PACKED_STRING_SD_DI                          ' SD_DI
  PACKED_STRING_SD_DO    = pindefs#PACKED_STRING_SD_DO                          ' SD_DO
  PACKED_STRING_SD_CS    = pindefs#PACKED_STRING_SD_CS                          ' SD_CS
  PACKED_STRING_SD_IRQ   = pindefs#PACKED_STRING_SD_IRQ                         ' SD_IRQ

  ' Parallel LCD

  PACKED_STRING_LCD_D0   = pindefs#PACKED_STRING_LCD_D0                         ' LCD_D0
  PACKED_STRING_LCD_D1   = pindefs#PACKED_STRING_LCD_D1                         ' LCD_D1
  PACKED_STRING_LCD_D2   = pindefs#PACKED_STRING_LCD_D2                         ' LCD_D2
  PACKED_STRING_LCD_D3   = pindefs#PACKED_STRING_LCD_D3                         ' LCD_D3
  PACKED_STRING_LCD_D4   = pindefs#PACKED_STRING_LCD_D4                         ' LCD_D4
  PACKED_STRING_LCD_D5   = pindefs#PACKED_STRING_LCD_D5                         ' LCD_D5
  PACKED_STRING_LCD_D6   = pindefs#PACKED_STRING_LCD_D6                         ' LCD_D6
  PACKED_STRING_LCD_D7   = pindefs#PACKED_STRING_LCD_D7                         ' LCD_D7
  PACKED_STRING_LCD_RS   = pindefs#PACKED_STRING_LCD_RS                         ' LCD_RS
  PACKED_STRING_LCD_RS0  = pindefs#PACKED_STRING_LCD_RS0                        ' LCD_RS0
  PACKED_STRING_LCD_RS1  = pindefs#PACKED_STRING_LCD_RS1                        ' LCD_RS1
  PACKED_STRING_LCD_E    = pindefs#PACKED_STRING_LCD_E                          ' LCD_E
  PACKED_STRING_LCD_BKL  = pindefs#PACKED_STRING_LCD_BKL                        ' LCD_BKL

  ' Coloured LED's

  PACKED_STRING_LED_GRN  = pindefs#PACKED_STRING_LED_GRN                        ' LED_GRN
  PACKED_STRING_LED_RED  = pindefs#PACKED_STRING_LED_RED                        ' LED_RED
  PACKED_STRING_LED_YEL  = pindefs#PACKED_STRING_LED_YEL                        ' LED_YEL
  PACKED_STRING_LED_ORG  = pindefs#PACKED_STRING_LED_ORG                        ' LED_ORG
  PACKED_STRING_LED_BLU  = pindefs#PACKED_STRING_LED_BLU                        ' LED_BLU
  PACKED_STRING_LED_WHT  = pindefs#PACKED_STRING_LED_WHT                        ' LED_WHT

  ' RGB LED

  PACKED_STRING_RGB_R    = pindefs#PACKED_STRING_RGB_R                          ' RGB_R
  PACKED_STRING_RGB_G    = pindefs#PACKED_STRING_RGB_G                          ' RGB_G
  PACKED_STRING_RGB_B    = pindefs#PACKED_STRING_RGB_B                          ' RGB_B

  ' Diagnostic LED's

  PACKED_STRING_LED_0    = pindefs#PACKED_STRING_LED_0                          ' LED_0
  PACKED_STRING_LED_1    = pindefs#PACKED_STRING_LED_1                          ' LED_1
  PACKED_STRING_LED_2    = pindefs#PACKED_STRING_LED_2                          ' LED_2
  PACKED_STRING_LED_3    = pindefs#PACKED_STRING_LED_3                          ' LED_3
  PACKED_STRING_LED_4    = pindefs#PACKED_STRING_LED_4                          ' LED_4
  PACKED_STRING_LED_5    = pindefs#PACKED_STRING_LED_5                          ' LED_5
  PACKED_STRING_LED_6    = pindefs#PACKED_STRING_LED_6                          ' LED_6
  PACKED_STRING_LED_7    = pindefs#PACKED_STRING_LED_7                          ' LED_7
  PACKED_STRING_LED_8    = pindefs#PACKED_STRING_LED_8                          ' LED_8
  PACKED_STRING_LED_9    = pindefs#PACKED_STRING_LED_9                          ' LED_9
  PACKED_STRING_LED_10   = pindefs#PACKED_STRING_LED_10                         ' LED_10
  PACKED_STRING_LED_11   = pindefs#PACKED_STRING_LED_11                         ' LED_11
  PACKED_STRING_LED_12   = pindefs#PACKED_STRING_LED_12                         ' LED_12
  PACKED_STRING_LED_13   = pindefs#PACKED_STRING_LED_13                         ' LED_13
  PACKED_STRING_LED_14   = pindefs#PACKED_STRING_LED_14                         ' LED_14
  PACKED_STRING_LED_15   = pindefs#PACKED_STRING_LED_15                         ' LED_15

  ' ENC28J60 Ethernet Controller

  PACKED_STRING_ETH_CS   = pindefs#PACKED_STRING_ETH_CS                         ' ETH_CS
  PACKED_STRING_ETH_SI   = pindefs#PACKED_STRING_ETH_SI                         ' ETH_SI
  PACKED_STRING_ETH_SO   = pindefs#PACKED_STRING_ETH_SO                         ' ETH_SO
  PACKED_STRING_ETH_CLK  = pindefs#PACKED_STRING_ETH_CLK                        ' ETH_CLK
  PACKED_STRING_ETH_IRQ  = pindefs#PACKED_STRING_ETH_IRQ                        ' ETH_IRQ

  ' Hydra NET

  PACKED_STRING_HYD_CLK  = pindefs#PACKED_STRING_HYD_CLK                        ' HYD_CLK
  PACKED_STRING_HYD_DAT  = pindefs#PACKED_STRING_HYD_DAT                        ' HYD_DAT

  ' NES Controller

  PACKED_STRING_NES_CLK  = pindefs#PACKED_STRING_NES_CLK                        ' NES_CLK
  PACKED_STRING_NES_SHF  = pindefs#PACKED_STRING_NES_SHF                        ' NES_SHF
  PACKED_STRING_NES_AOU  = pindefs#PACKED_STRING_NES_AOU                        ' NES_AOU
  PACKED_STRING_NES_BOU  = pindefs#PACKED_STRING_NES_BOU                        ' NES_BOU

  ' I/O Bus

  PACKED_STRING_IO_0     = pindefs#PACKED_STRING_IO_0                           ' IO_0
  PACKED_STRING_IO_1     = pindefs#PACKED_STRING_IO_1                           ' IO_1
  PACKED_STRING_IO_2     = pindefs#PACKED_STRING_IO_2                           ' IO_2
  PACKED_STRING_IO_3     = pindefs#PACKED_STRING_IO_3                           ' IO_3
  PACKED_STRING_IO_4     = pindefs#PACKED_STRING_IO_4                           ' IO_4
  PACKED_STRING_IO_5     = pindefs#PACKED_STRING_IO_5                           ' IO_5
  PACKED_STRING_IO_6     = pindefs#PACKED_STRING_IO_6                           ' IO_6
  PACKED_STRING_IO_7     = pindefs#PACKED_STRING_IO_7                           ' IO_7
  PACKED_STRING_IO_8     = pindefs#PACKED_STRING_IO_8                           ' IO_8
  PACKED_STRING_IO_9     = pindefs#PACKED_STRING_IO_9                           ' IO_9
  PACKED_STRING_IO_10    = pindefs#PACKED_STRING_IO_10                          ' IO_10
  PACKED_STRING_IO_11    = pindefs#PACKED_STRING_IO_11                          ' IO_11
  PACKED_STRING_IO_12    = pindefs#PACKED_STRING_IO_12                          ' IO_12
  PACKED_STRING_IO_13    = pindefs#PACKED_STRING_IO_13                          ' IO_13
  PACKED_STRING_IO_14    = pindefs#PACKED_STRING_IO_14                          ' IO_14
  PACKED_STRING_IO_15    = pindefs#PACKED_STRING_IO_15                          ' IO_15

 ' Address Bus

  PACKED_STRING_BUS_A0   = pindefs#PACKED_STRING_BUS_A0                         ' BUS_A0
  PACKED_STRING_BUS_A1   = pindefs#PACKED_STRING_BUS_A1                         ' BUS_A1
  PACKED_STRING_BUS_A2   = pindefs#PACKED_STRING_BUS_A2                         ' BUS_A2
  PACKED_STRING_BUS_A3   = pindefs#PACKED_STRING_BUS_A3                         ' BUS_A3
  PACKED_STRING_BUS_A4   = pindefs#PACKED_STRING_BUS_A4                         ' BUS_A4
  PACKED_STRING_BUS_A5   = pindefs#PACKED_STRING_BUS_A5                         ' BUS_A5
  PACKED_STRING_BUS_A6   = pindefs#PACKED_STRING_BUS_A6                         ' BUS_A6
  PACKED_STRING_BUS_A7   = pindefs#PACKED_STRING_BUS_A7                         ' BUS_A7
  PACKED_STRING_BUS_A8   = pindefs#PACKED_STRING_BUS_A8                         ' BUS_A8
  PACKED_STRING_BUS_A9   = pindefs#PACKED_STRING_BUS_A9                         ' BUS_A9
  PACKED_STRING_BUS_A10  = pindefs#PACKED_STRING_BUS_A10                        ' BUS_A10
  PACKED_STRING_BUS_A11  = pindefs#PACKED_STRING_BUS_A11                        ' BUS_A11
  PACKED_STRING_BUS_A12  = pindefs#PACKED_STRING_BUS_A12                        ' BUS_A12
  PACKED_STRING_BUS_A13  = pindefs#PACKED_STRING_BUS_A13                        ' BUS_A13
  PACKED_STRING_BUS_A14  = pindefs#PACKED_STRING_BUS_A14                        ' BUS_A14
  PACKED_STRING_BUS_A15  = pindefs#PACKED_STRING_BUS_A15                        ' BUS_A15
  PACKED_STRING_BUS_A16  = pindefs#PACKED_STRING_BUS_A16                        ' BUS_A16
  PACKED_STRING_BUS_A17  = pindefs#PACKED_STRING_BUS_A17                        ' BUS_A17
  PACKED_STRING_BUS_A18  = pindefs#PACKED_STRING_BUS_A18                        ' BUS_A18
  PACKED_STRING_BUS_A19  = pindefs#PACKED_STRING_BUS_A19                        ' BUS_A19
  PACKED_STRING_BUS_A20  = pindefs#PACKED_STRING_BUS_A20                        ' BUS_A20
  PACKED_STRING_BUS_A21  = pindefs#PACKED_STRING_BUS_A21                        ' BUS_A21
  PACKED_STRING_BUS_A22  = pindefs#PACKED_STRING_BUS_A22                        ' BUS_A22
  PACKED_STRING_BUS_A23  = pindefs#PACKED_STRING_BUS_A23                        ' BUS_A23

  ' Data Bus

  PACKED_STRING_BUS_D0   = pindefs#PACKED_STRING_BUS_D0                         ' BUS_D0
  PACKED_STRING_BUS_D1   = pindefs#PACKED_STRING_BUS_D1                         ' BUS_D1
  PACKED_STRING_BUS_D2   = pindefs#PACKED_STRING_BUS_D2                         ' BUS_D2
  PACKED_STRING_BUS_D3   = pindefs#PACKED_STRING_BUS_D3                         ' BUS_D3
  PACKED_STRING_BUS_D4   = pindefs#PACKED_STRING_BUS_D4                         ' BUS_D4
  PACKED_STRING_BUS_D5   = pindefs#PACKED_STRING_BUS_D5                         ' BUS_D5
  PACKED_STRING_BUS_D6   = pindefs#PACKED_STRING_BUS_D6                         ' BUS_D6
  PACKED_STRING_BUS_D7   = pindefs#PACKED_STRING_BUS_D7                         ' BUS_D7
  PACKED_STRING_BUS_D8   = pindefs#PACKED_STRING_BUS_D8                         ' BUS_D8
  PACKED_STRING_BUS_D9   = pindefs#PACKED_STRING_BUS_D9                         ' BUS_D9
  PACKED_STRING_BUS_D10  = pindefs#PACKED_STRING_BUS_D10                        ' BUS_D10
  PACKED_STRING_BUS_D11  = pindefs#PACKED_STRING_BUS_D11                        ' BUS_D11
  PACKED_STRING_BUS_D12  = pindefs#PACKED_STRING_BUS_D12                        ' BUS_D12
  PACKED_STRING_BUS_D13  = pindefs#PACKED_STRING_BUS_D13                        ' BUS_D13
  PACKED_STRING_BUS_D14  = pindefs#PACKED_STRING_BUS_D14                        ' BUS_D14
  PACKED_STRING_BUS_D15  = pindefs#PACKED_STRING_BUS_D15                        ' BUS_D15
  PACKED_STRING_BUS_D16  = pindefs#PACKED_STRING_BUS_D16                        ' BUS_D16
  PACKED_STRING_BUS_D17  = pindefs#PACKED_STRING_BUS_D17                        ' BUS_D17
  PACKED_STRING_BUS_D18  = pindefs#PACKED_STRING_BUS_D18                        ' BUS_D18
  PACKED_STRING_BUS_D19  = pindefs#PACKED_STRING_BUS_D19                        ' BUS_D19
  PACKED_STRING_BUS_D20  = pindefs#PACKED_STRING_BUS_D20                        ' BUS_D20
  PACKED_STRING_BUS_D21  = pindefs#PACKED_STRING_BUS_D21                        ' BUS_D21
  PACKED_STRING_BUS_D22  = pindefs#PACKED_STRING_BUS_D22                        ' BUS_D22
  PACKED_STRING_BUS_D23  = pindefs#PACKED_STRING_BUS_D23                        ' BUS_D23

  ' UOLED Connections

  PACKED_STRING_OLED_CS  = pindefs#PACKED_STRING_OLED_CS                        ' OLED_CS
  PACKED_STRING_OLED_RST = pindefs#PACKED_STRING_OLED_RST                       ' OLED_RST
  PACKED_STRING_OLED_DC  = pindefs#PACKED_STRING_OLED_DC                        ' OLED_DC
  PACKED_STRING_OLED_WR  = pindefs#PACKED_STRING_OLED_WR                        ' OLED_WR
  PACKED_STRING_OLED_RD  = pindefs#PACKED_STRING_OLED_RD                        ' OLED_RD
  PACKED_STRING_OLED_VEN = pindefs#PACKED_STRING_OLED_VEN                       ' OLED_VEN

  ' Servos

  PACKED_STRING_SRV_0    = pindefs#PACKED_STRING_SRV_0                          ' SRV_0
  PACKED_STRING_SRV_1    = pindefs#PACKED_STRING_SRV_1                          ' SRV_1
  PACKED_STRING_SRV_2    = pindefs#PACKED_STRING_SRV_2                          ' SRV_2
  PACKED_STRING_SRV_3    = pindefs#PACKED_STRING_SRV_3                          ' SRV_3
  PACKED_STRING_SRV_4    = pindefs#PACKED_STRING_SRV_4                          ' SRV_4
  PACKED_STRING_SRV_5    = pindefs#PACKED_STRING_SRV_5                          ' SRV_5
  PACKED_STRING_SRV_6    = pindefs#PACKED_STRING_SRV_6                          ' SRV_6
  PACKED_STRING_SRV_7    = pindefs#PACKED_STRING_SRV_7                          ' SRV_7
  PACKED_STRING_SRV_8    = pindefs#PACKED_STRING_SRV_8                          ' SRV_8
  PACKED_STRING_SRV_9    = pindefs#PACKED_STRING_SRV_9                          ' SRV_9
  PACKED_STRING_SRV_10   = pindefs#PACKED_STRING_SRV_10                         ' SRV_10
  PACKED_STRING_SRV_11   = pindefs#PACKED_STRING_SRV_11                         ' SRV_11
  PACKED_STRING_SRV_12   = pindefs#PACKED_STRING_SRV_12                         ' SRV_12
  PACKED_STRING_SRV_13   = pindefs#PACKED_STRING_SRV_13                         ' SRV_13
  PACKED_STRING_SRV_14   = pindefs#PACKED_STRING_SRV_14                         ' SRV_14
  PACKED_STRING_SRV_15   = pindefs#PACKED_STRING_SRV_15                         ' SRV_15

  ' PWM

  PACKED_STRING_PWM_0    = pindefs#PACKED_STRING_PWM_0                          ' PWM_0
  PACKED_STRING_PWM_1    = pindefs#PACKED_STRING_PWM_1                          ' PWM_1
  PACKED_STRING_PWM_2    = pindefs#PACKED_STRING_PWM_2                          ' PWM_2
  PACKED_STRING_PWM_3    = pindefs#PACKED_STRING_PWM_3                          ' PWM_3
  PACKED_STRING_PWM_4    = pindefs#PACKED_STRING_PWM_4                          ' PWM_4
  PACKED_STRING_PWM_5    = pindefs#PACKED_STRING_PWM_5                          ' PWM_5
  PACKED_STRING_PWM_6    = pindefs#PACKED_STRING_PWM_6                          ' PWM_6
  PACKED_STRING_PWM_7    = pindefs#PACKED_STRING_PWM_7                          ' PWM_7
  PACKED_STRING_PWM_8    = pindefs#PACKED_STRING_PWM_8                          ' PWM_8
  PACKED_STRING_PWM_9    = pindefs#PACKED_STRING_PWM_9                          ' PWM_9
  PACKED_STRING_PWM_10   = pindefs#PACKED_STRING_PWM_10                         ' PWM_10
  PACKED_STRING_PWM_11   = pindefs#PACKED_STRING_PWM_11                         ' PWM_11
  PACKED_STRING_PWM_12   = pindefs#PACKED_STRING_PWM_12                         ' PWM_12
  PACKED_STRING_PWM_13   = pindefs#PACKED_STRING_PWM_13                         ' PWM_13
  PACKED_STRING_PWM_14   = pindefs#PACKED_STRING_PWM_14                         ' PWM_14
  PACKED_STRING_PWM_15   = pindefs#PACKED_STRING_PWM_15                         ' PWM_15

  ' Not Connected

  PACKED_STRING_NC       = pindefs#PACKED_STRING_NC    

OBJ
  pindefs : "PinDefs_Library_007"

PUB Version
  return pindefs.Version
  
PUB SetPin( packedString, pinNumber )
  pindefs.SetPin( packedString, pinNumber )

PUB GetPinNumber( packedString )
  return pindefs.GetPinNumber( packedString )
  
PUB GetSetting( packedString )
  return pindefs.GetSetting( packedString )
  
PUB GetPinUse( pinNumber )
  return pindefs.GetPinUse( pinNumber )

PUB Packed( strPtr )
  return pindefs.Packed( strPtr )
  
PUB Alias
  pindefs.Alias
  